.b-rightPanel {
  position: absolute;
  z-index: 101;
  top: 80px;
  right: -360px;
  bottom: 0;
  overflow-x: hidden;
  overflow-y: auto;
  cursor: default;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-overflow-scrolling: touch;
  width: 360px;
  background: #fff;
  -webkit-box-shadow: -1px 0px #cdd2d2, -6px 0px 4px -4px rgba(0,0,0,0.1);
          box-shadow: -1px 0px #cdd2d2, -6px 0px 4px -4px rgba(0,0,0,0.1);
}

._wide {

  width:850px;

}

.b-rightPanel._show {
  right: 0;
}
.b-rightPanel._show {
  -webkit-animation: b-rightPanel_show 0.5s ease-in-out;
          animation: b-rightPanel_show 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes b-rightPanel_show {
  0% {
    right: -360px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -360px;
    -webkit-transform: translate3D(-360px, 0, 0);
            transform: translate3D(-360px, 0, 0);
    opacity: 1;
  }
}
@keyframes b-rightPanel_show {
  0% {
    right: -360px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -360px;
    -webkit-transform: translate3D(-360px, 0, 0);
            transform: translate3D(-360px, 0, 0);
    opacity: 1;
  }
}
.b-rightPanel._hide {
  -webkit-animation: b-rightPanel_hide 0.5s ease-in-out;
          animation: b-rightPanel_hide 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes b-rightPanel_hide {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(360px, 0, 0);
            transform: translate3D(360px, 0, 0);
    opacity: 0;
  }
}
@keyframes b-rightPanel_hide {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(360px, 0, 0);
            transform: translate3D(360px, 0, 0);
    opacity: 0;
  }
}
.b-rightPanel_preloader {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: none;
  z-index: 1;
  background: #fff;
}
.b-rightPanel._preloader .b-rightPanel_preloader {
  display: block;
}
.b-rightPanel_preloader .t-preloader {
  font-size: 40px;
}
@-webkit-keyframes b-notification_fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes b-notification_fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes b-notification_fadeout {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: visible;
  }
}
@keyframes b-notification_fadeout {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: visible;
  }
}
